com.smartgwt.client.widgets.grid

## Class GridSummaryCustomizer

- java.lang.Object
- - com.smartgwt.client.widgets.grid.GridSummaryCustomizer

-     public abstract class GridSummaryCustomizer
      extends java.lang.Object

  If ListGrid.showGridSummary is true, and this method is specified it will be called to generate the summary value to be displayed in the grid summary row. Note that this is called instead of making use of the `ListGridField.setSummaryFunction(SummaryFunction)`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridSummaryCustomizer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.Object[]` | `getGridSummary(ListGridRecord[] records, ListGridField field, GroupSummary[] groupSummary)` If this grid is grouped, and ListGrid.showGroupSummary is true, this method will be passed a third parameter - an array of group-level summaries.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GridSummaryCustomizer

          public GridSummaryCustomizer()

  - ### Method Detail

    - #### getGridSummary

          public abstract java.lang.Object[] getGridSummary(ListGridRecord[] records,
                                          ListGridField field,
                                          GroupSummary[] groupSummary)

      If this grid is grouped, and ListGrid.showGroupSummary is true, this method will be passed a third parameter - an array of group-level summaries.
      Parameters:
        `recordsrecords,` - records for which a summary is being generated.
        `field,` - pointer to the field for which summary value is being generated
        `groupSummary,` - If this grid is grouped and ListGrid.showGridSummary is specified, this parameter contains an array of already- calculated summary values for each group in the grid. Each element in this array will be an object containing calculated summary values for each field in the grid, as well as a specified groupValue and groupName, allowing the developer to determine which group this summary value comes from
      Returns:
        As with ListGrid.getGridSummary() this method may return an array of results - in this case each result will show up in a separate row in the ListGrid.summaryRow grid.